package com.jwipc.order.convert;

import com.jwipc.order.entity.AppointmentDocker;
import com.jwipc.order.dto.AppointmentDockerDTO;
import org.mapstruct.Mapper;

import java.util.List;

/**
 * <p>
 *预约工厂码头配置表
 * </p>
 *
 * @author wt
 * @version 1.0
 * @since 2024/3/5
 */
@Mapper(componentModel = "spring")
public interface AppointmentDockerConvert {

    List<AppointmentDockerDTO> EntityToDtoList(List<AppointmentDocker> appointmentDockerList);

    List<AppointmentDockerDTO> entrty2PageListDTO(List<AppointmentDocker> poList);

    AppointmentDockerDTO entityToDto(AppointmentDocker appointmentDocker);

    AppointmentDocker dtoToEntity(AppointmentDockerDTO parseObject);
}
